%global forgeurl https://github.com/OpenPrinting/ps-printer-app

%global commit 65b53e2ced957c6d07a6bd7df77631989c3ad263

%forgemeta

Name:           ps-printer-app
Version:        0
Release:        4%{?dist}
License:        ASL 2.0
Summary:        Printer Application for PostScript printers that uses PAPPL to support IPP printing from multiple operating systems.
URL:	        %{forgeurl}
Source0:        %{forgesource}
Source1:        ps-printer-app.sysusers
#Services which run as root cannot create listener sockets
Patch0:         ps-printer-app_service-user.patch
BuildRequires:	make
BuildRequires:	gcc
BuildRequires:  systemd-rpm-macros
BuildRequires:  cups-devel
#Git builds so no pkgconfig
BuildRequires:  pappl-devel >= 1.1b2
BuildRequires:  pappl-retrofit-devel
BuildRequires:  cups-filters-devel >= 2.0.0

%description
ps-printer-app is a printer Application for PostScript printers that uses PAPPL
to support IPP printing from multiple operating systems. In addition, it uses
the resources of cups-filters 2.x (filter functions in libcupsfilters, libppd)
and pappl-retrofit (encapsulating classic CUPS drivers in Printer Applications).
This work (or now the code of pappl-retrofit) is derived from the hp-printer-app.

%prep
%forgesetup

%patch0 -p1

%build
%make_build

%install
%make_install libdir=%{buildroot}%{_libdir} serverbin=%{buildroot}%{_libdir}/ps-printer-app

install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_sysusersdir}/ps-printer-app.conf

%pre
%sysusers_create_compat %{SOURCE1}

%post
%systemd_post ps-printer-app.service

%preun
%systemd_preun ps-printer-app.service

%postun
%systemd_postun_with_restart ps-printer-app.service

%files
%license
%{_bindir}/ps-printer-app
%{_libdir}/ps-printer-app
%{_unitdir}/ps-printer-app.service
%{_mandir}/man1/ps-printer-app.1.gz
%{_datadir}/ppd/generic-ps-printer.ppd
%dir %{_datadir}/ps-printer-app
%{_datadir}/ps-printer-app/testpage.ps
%attr(-, ps-printer-app, ps-printer-app) %dir %{_sharedstatedir}/ps-printer-app
%{_sysusersdir}/ps-printer-app.conf

%changelog
* Sun Sep 26 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-4.20210916git65b53e2
- Run service as user ps-printer-app

* Thu Sep 23 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-3.20210916git65b53e2
- Correct some path definitions

* Thu Sep 23 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-2.20210916git65b53e2
- Add shared state folder

* Wed Sep 15 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-1.20210916git65b53e2
- Initial specfile
